
clear
macro drop _all
program drop _all
set more off
set linesize 80

capture log close
log using "X:\Schwartz\Graf_Schwartz\DemResearchdraft\do_log files\graph_am_sep.log",replace

set mem 100m



clear
set mem 100m



***ODDS OF RACE/ETHNIC ENDOGAMY FROM MLOGIT****


**These are the exponential multinomial logit coefficients
**(source:models_svy_sep.log).
**To get the odds I have to multiply the coefficients in obs 1-3
**by the odds for married couples (the omitted category in the
**mlogit. The odds of homogamy for married couples come from
**the log linear models (sources: crs_desc_90_2034.do; crs_desc_00_2034.do).

input rel_var beta_ml1990 beta_ml2000
1 .272 .308
2 .359 .370
3 .507 .541
4 1 1
end


**NEED TO CHANGE BASELINE IN ALL MODELS

gen h2000 = beta_ml2000*19.99734
gen h1990 = beta_ml1990*21.86541



#delimit ;

cd "X:\Schwartz\Graf_Schwartz\DemResearchdraft\graphs" ;


****black and white*** ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*0.85)) gap(120))
         nofill exclude0 yscale(r(1 25) log) ylabel(5(5)25, grid)
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         scheme(s2manual)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds of Race/Ethnic Endogamy")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.85)) outergap(80) ;



    graph export graph_am_sep_1.wmf, replace fontface(garamond) ;



clear ;
set mem 100m ;


#delimit cr

***AGE DIFFERENCE FROM MLOGIT****


**These are the exponential multinomial logit coefficients.
**To get the odds I have to multiply the coefficients in obs 1-3
**by the odds for married couples (the omitted category in the
**mlogit. The odds of homogamy for married couples come from
**the unadjusted log linear models (same as graphed above).

input rel_var beta_ml1990 beta_ml2000
1 1.158586  1.14963824
2 1.108989  1.150181287
3 1.113689  1.083811842
4 1  1
end

**CHANGE
gen h2000 = beta_ml2000*.7880147
gen h1990 = beta_ml1990*.7835966


#delimit ;


****black and white*** ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*0.85)) gap(120))
         nofill yscale(r(0.75 1.00) log) ylabel(0.75(.05)1.00, grid labsize(*.85))  exclude0
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         scheme(s2manual)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.85)) outergap(80) ;



    graph export graph_am_sep_2.wmf, replace fontface(garamond) ;



clear ;
set mem 100m ;


#delimit cr

input rel_var bdc2_90 bdc3_90 bdc4_90 bdc2_00 bdc3_00 bdc4_00
1  .830  1.136 1.487  1.083 1.051 1.433
2  .897  1.069 1.291  1.490 1.064 1.147
3  1.318 1.051 1.080  1.335 1.063 1.079
4 1 1 1 1 1 1

end

gen dc2_00 = bdc2_00*.3242205
gen dc3_00 = bdc3_00*.4367432
gen dc4_00 = bdc4_00*.312325

gen dc2_90 = bdc2_90*0.3633225
gen dc3_90 = bdc3_90*0.4584926
gen dc4_90 = bdc4_90*0.3326916


gen dc24_00 = dc2_00*dc3_00*dc4_00
gen dc34_00 = dc3_00*dc4_00

gen dc24_90 = dc2_90*dc3_90*dc4_90
gen dc34_90 = dc3_90*dc4_90



#delimit ;

****black and white*** ;

graph bar (asis) dc24_90 dc24_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*0.85)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid)
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         scheme(s2manual)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.85)) outergap(80) ;



    graph export graph_am_sep_3.wmf, replace fontface(garamond) ;



****black and white*** ;

graph bar (asis) dc34_90 dc34_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*0.85)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid)
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         scheme(s2manual)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.85)) outergap(80) ;



    graph export graph_am_sep_4.wmf, replace fontface(garamond) ;




